LibreOffice: UIElementFactory Service Reference

LibreOffice LibreOffice 5.3 SDK API Reference

Exported Interfaces | List of all members
UIElementFactory Service Reference

specifies a user interface element factory that can create and initialize a user interface element type. More...

`import"UIElementFactory.idl";`

Inheritance diagram for UIElementFactory:

## Exported Interfaces
interface | com::sun::star::ui::XUIElementFactory
| this interface provides a function to create and initialize new instances of user interface elements. More...

## Additional Inherited Members
Public Member Functions inherited from XUIElementFactory
::com::sun::star::ui::XUIElement | createUIElement ([in] string ResourceURL, [in] sequence< com::sun::star::beans::PropertyValue > Args) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::IllegalArgumentException )
| creates a new instances of a specific user interface element. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

specifies a user interface element factory that can create and initialize a user interface element type.

It depends on the implementation which user interface element types can be created. It is also possible that a factory is only able to create one special user interface element. User interface element factories must be registered at the single instance UIElementFactoryManager service to provide access to itself.

Since
  OOo 2.0

## Exported Interfaces

## ◆ com::sun::star::ui::XUIElementFactory

interface com::sun::star::ui::XUIElementFactory

this interface provides a function to create and initialize new instances of user interface elements.

See also
  XUIElementFactory

The documentation for this service was generated from the following file:

- com/sun/star/ui/UIElementFactory.idl